### Function

# PangoOT.Buffer.new

#### Declaration [src]

    PangoOTBuffer*
    pango_ot_buffer_new (
      PangoFcFont* font
    )

#### Description [src]

Creates a new `PangoOTBuffer` for the given OpenType font.

#### Parameters

`font` | `PangoFcFont*`
| a `PangoFcFont`
| Ownership is not transferred to the callee

#### Return value

Returns: `PangoOTBuffer`
the newly allocated `PangoOTBuffer`, which should be freed with `pango_ot_buffer_destroy()`.
Ownership of the data is transferred to the caller